Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 220724 - Provide standalone bug submission program
: Provide standalone bug submission program
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 2.17.4
: All All
: -- normal (vote)
: Bugzilla 2.18
Assigned To: Christian Reis
: default-qa
Depends on:
  Show dependency treegraph
Reported: 2003-09-29 17:17 PDT by Christian Reis
Modified: 2012-12-18 20:46 PST (History)
7 users (show)
justdave: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Working version of the bug-submission script (10.17 KB, text/plain)
2003-10-08 00:02 PDT, esr
no flags Details
Manual page for the submission script, in XML-DocBook (10.17 KB, text/plain)
2003-10-08 00:04 PDT, esr
no flags Details
README file (605 bytes, patch)
2003-10-30 15:42 PST, Christian Reis
no flags Details | Diff | Splinter Review
Manual page in XML (7.39 KB, text/plain)
2003-10-30 17:21 PST, esr
no flags Details
committed patch (22.46 KB, patch)
2003-10-31 06:02 PST, Christian Reis
no flags Details | Diff | Splinter Review

Description Christian Reis 2003-09-29 17:17:24 PDT
Eric and I have been hacking on a bug submission program written in Python. This
program provides a simple commandline interface to submit bugs to a Bugzilla

We've agreed on the basic interface, and I'm in the process of polishing it up
for submission.
Comment 1 Gervase Markham [:gerv] 2003-10-01 15:41:39 PDT
/me is amused that "standalone" and "written in Python" are in the description
together ;-) Presumably it doesn't stand alone from the Python interpreter?

Comment 2 Dave Miller [:justdave] ( 2003-10-01 15:44:29 PDT
Shiva, here's the bug-submission program I was telling you about.
Comment 3 Christian Reis 2003-10-01 19:24:30 PDT
Well, it's a fact that most modern distributions include a Python interpreter,
and we only require standard modules.

And it does "standalone" from an interpreter; it just won't do anything useful
in that case <wink>
Comment 4 Gervase Markham [:gerv] 2003-10-02 12:37:52 PDT
So, this is a standalone-for-Linux bug submission program? ;-)

Seriously, I'm just teasing you. Although I'd prefer it was written in Perl
(then I could hack on it), this is a great idea. And I'm sure any server-side
interfaces you make will be language-neutral.

Comment 5 Christian Reis 2003-10-07 22:09:05 PDT
Who says you can't hack on Python? :-) (And note that Python is now distributed
with MacOS X, too!)

Eric, what would you say of attaching the current status of our work?
Comment 6 esr 2003-10-08 00:02:53 PDT
Created attachment 132854 [details]
Working version of the bug-submission script

This is ready to be announced with the next Bugzilla point release.  I'll
the XML for the manual page in another attachment.

A possible improvement would be to use RDF to do more efficient field
validation. I tried this, but it turns out the RDF fieldnames don't match
the internal ones in the bug form.  This needs to be fixed -- and if the fix
involves changing the internal field names, this script will need to be
modified to match.
internal names,
Comment 7 esr 2003-10-08 00:04:23 PDT
Created attachment 132855 [details]
Manual page for the submission script, in XML-DocBook
Comment 8 Christian Reis 2003-10-30 15:30:39 PST
Comment on attachment 132855 [details]
Manual page for the submission script, in XML-DocBook

Eric, apparently you attached the wrong file here. 

Can you tack on the original file?

Also, I was wondering if we could check in generated versions (text/man) so
that users can easily access them without processing the docbook.
Comment 9 Christian Reis 2003-10-30 15:42:41 PST
Created attachment 134531 [details] [diff] [review]

My plan is to:

mkdir contrib/bug-bugzilla/

and check in the README, the script and the documentation (in all formats) into
this directory.
Comment 10 Christian Reis 2003-10-30 15:44:14 PST
Requesting approval based on my plan.
Comment 11 esr 2003-10-30 17:21:16 PST
Created attachment 134540 [details]
Manual page in XML
Comment 12 Christian Reis 2003-10-31 06:02:50 PST
Created attachment 134565 [details] [diff] [review]
committed patch

For posterity.
Comment 13 Christian Reis 2003-10-31 06:06:19 PST
Checked this bugger in. Thanks for the great work, Eric.

/cvsroot/mozilla/webtools/bugzilla/contrib/README,v  <--  README
new revision: 1.6; previous revision: 1.5
/cvsroot/mozilla/webtools/bugzilla/contrib/bug-bugzilla/README,v  <--  README
initial revision: 1.1
/cvsroot/mozilla/webtools/bugzilla/contrib/bug-bugzilla/bug-bugzilla,v  <-- 
initial revision: 1.1
/cvsroot/mozilla/webtools/bugzilla/contrib/bug-bugzilla/bug-bugzilla.xml,v  <--
initial revision: 1.1
/cvsroot/mozilla/webtools/bugzilla/contrib/bug-bugzilla/bugdata.txt,v  <-- 
initial revision: 1.1
Comment 14 Gervase Markham [:gerv] 2003-11-01 14:36:21 PST
Er... hang on a sec. 

Did no-one yet ask the question "what sort of name is 'bug-bugzilla' for a
standalone submission program?" It sounds like it was thought up by a process
involving a misunderstood conversation with a guy with a stutter. It says
absolutely nothing about what the software actually does.

Comment 15 esr 2003-11-01 21:10:02 PST
Gervaise, it's a program for bugging bugzilla about a bug.
Comment 16 Gervase Markham [:gerv] 2003-11-02 04:17:12 PST
That's "Gervase" :-)

It's not a program for bugging Bugzilla about a bug. To bug someone about
something, at least over here in England, means to remind them at regular
intervals until they do something about it. That's not what this program does
(nor would a program which did that make any sense; when you tell Bugzilla about
something, it remembers it the first time, unlike humans.)

Comment 17 Christian Reis 2003-11-02 06:56:14 PST
For the record we did consider other names before checking in the code. It's a
shame that I didn't CC: developers on this matter, though the timing probably
means nobody would have answered in time for checkin (to meet today's release).
We considered names such as openbug, newbug, etc.

I don't personally think bug-bugzilla is a bad name; it identifies bugzilla
clearly, and it's not obscure or hard to find in a bash <tab> completion for bug
(much better than new/open-* would have been). Having said that, I'd consider
renaming everything *if* someone can come up with a better name. Suggestions
Comment 18 Gervase Markham [:gerv] 2003-11-02 08:51:12 PST
> nobody would have answered in time for checkin (to meet today's release).

Well, I've commented even without the mail, and the release hasn't happened yet. :-)

Some suggestions, then. (I'm surprised ESR's Software Release HOWTO doesn't have
guidelines on naming projects, actually...)

Or, if you want it to start with "bug", then:

You can replace "create" with "new" or "open" if you like, but I like "create" best.

This latter form establishes a prefix so we can later have bugalter/bugmodify.
Or perhaps just call it bzclient or something like that, and have a parameter
--create, allowing extension later for --modify and so on.

Comment 19 Dave Miller [:justdave] ( 2003-11-02 11:10:33 PST
My personal opinion:  It's in the contrib directory.  It's what the author
decided to call it.  There wasn't anything else in the contrib directory already
using that name.  So I don't really care. :)

Note You need to log in before you can comment on or make changes to this bug.